//
//  HQNavTitlesViewController.m
//  NavTitles
//
//  Created by mac on 2018/6/7.
//  Copyright © 2018年 hq. All rights reserved.
//

#import "HQNavTitlesViewController.h"
@interface HQNavTitlesViewController ()<UIScrollViewDelegate>
@property (nonatomic,strong) UIScrollView * ScrollView;
@property (nonatomic,retain)UIView *NavView;
@property (nonatomic,retain)UIView *line;
@property (strong,nonatomic)UIButton * tmpBtn;
@end

@implementation HQNavTitlesViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor=[UIColor grayColor];
    _ScrollView = [[UIScrollView alloc] initWithFrame:self.view.bounds];
    _ScrollView.bounces=YES;
    _ScrollView.delegate = self;
    _ScrollView.pagingEnabled = YES;
    _ScrollView.showsVerticalScrollIndicator = NO;
    _ScrollView.showsHorizontalScrollIndicator = NO;
    [self.view addSubview:_ScrollView];
   
}

-(void)SetUpNavTitleItems:(NSArray*)items andControllers:(NSArray*)controllers{
    _ScrollView.backgroundColor=[UIColor orangeColor];
    NSAssert(items.count != 0 || items.count == controllers.count, @"个数不一致, 请自己检查");
    [self.childViewControllers makeObjectsPerformSelector:@selector(removeFromParentViewController)];
    for (int i=0; i<controllers.count; i++) {
        UIViewController *vc=controllers[i];
        vc.view.backgroundColor=[UIColor grayColor];
        vc.view.frame = CGRectMake(i *  self.view.frame.size.width, 0, self.view.frame.size.width, self.view.frame.size.height);
        if (i==0) {
            vc.view.backgroundColor=[UIColor redColor];
        }
//        _ScrollView.contentSize = CGSizeMake(self.view.frame.size.width*self.childViewControllers.count, self.view.frame.size.height);
        [self addChildViewController:vc];
        [_ScrollView addSubview:vc.view];
    }
    
}
-(UIView*)UpNavTitleItems:(NSArray*)itmes andFrameWidth:(float)width andFrameHeight:(float)height andItmeNormalColor:(UIColor*)Normalcolor andSelectColor:(UIColor*)selectColor {
    _NavView = [[UIView alloc]initWithFrame:CGRectMake(0, 0, width, height)];
    float BtnWidth=width/itmes.count;
    for (int i=0; i<itmes.count; i++) {
        UIButton * navbtn=[[UIButton alloc]init];
        navbtn.frame=CGRectMake(i*BtnWidth, 0, BtnWidth, height);
        navbtn.tag=10000+i;
        
        navbtn.titleLabel.font=[UIFont systemFontOfSize:18];
        if (i>0) {
            navbtn.titleLabel.font=[UIFont systemFontOfSize:17];
        }
        [navbtn setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
        [navbtn setTitle:itmes[i] forState:UIControlStateNormal];
        [navbtn addTarget:self action:@selector(NavBtnClick:) forControlEvents:UIControlEventTouchUpInside];
        [_NavView addSubview:navbtn];
    }
    _line= [[UIView alloc]initWithFrame:CGRectMake(0, height-1.5,BtnWidth, 1.5)];
    _line.backgroundColor=selectColor;
    [_NavView addSubview:_line];

    return _NavView;
}

-(void)NavBtnClick:(UIButton*)sender{
     _line.frame=CGRectMake(sender.frame.origin.x, sender.frame.size.height-1.5, sender.frame.size.width, 1.5);
  
    if (_tmpBtn==nil ) {
        _tmpBtn=sender;
        sender.titleLabel.font=[UIFont systemFontOfSize:18];
    }else{
        sender.titleLabel.font=[UIFont systemFontOfSize:18];

        _tmpBtn.titleLabel.font=[UIFont systemFontOfSize:17];
        _tmpBtn=sender;
    }
    if (sender.tag==10000) {
        _ScrollView.contentOffset=CGPointMake(0, 0);
    }else{
        NSInteger index=sender.tag-10000;
        _ScrollView.contentOffset=CGPointMake(self.view.frame.size.width*index, 0);
    }
}

- (UIScrollView *)ScrollView {
    if (!_ScrollView) {
        UIScrollView *ScrollView = [[UIScrollView alloc] initWithFrame:self.view.bounds];
        _ScrollView.bounces=YES;
        _ScrollView.delegate = self;
        _ScrollView.pagingEnabled = YES;
        _ScrollView.showsVerticalScrollIndicator = NO;
        _ScrollView.showsHorizontalScrollIndicator = NO;
        [self.view addSubview:ScrollView];
        _ScrollView = ScrollView;
    }
    return _ScrollView;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
